%{expand:%%define emacs_version %(rpm -q emacs|sed 's/emacs-\([0-9].*\)-.*$/\1/')}
%define	rname	auctex

Summary: 	Enhanced LaTeX mode for GNU Emacs
Name: 		emacs-auctex
Version: 	11.14
Release:	2mdk
License: 	GPL
Group: 		Editors
Source0:        ftp://sunsite.auc.dk/packages/auctex/auctex-%{version}.tar.bz2
URL: 		http://www.cs.auc.dk/~amanda/auctex/
Packager:       Pixel <pixel@mandrakesoft.com>
Requires: emacs = %emacs_version
BuildRequires: emacs-X11
BuildArchitectures: noarch
BuildRoot: %_tmppath/%name-build
Provides:	%rname = %version-%release
Obsoletes:	%rname

%description
AUC TeX is a comprehensive, customizable, integrated environment for
writing, editing and processing  input files for LaTeX using GNU Emacs. 

%prep
%setup -q -n %rname-%version

%build
make
make contrib

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%_datadir/emacs/site-lisp,%_infodir}
make lispdir=$RPM_BUILD_ROOT%_datadir/emacs/site-lisp install install-contrib
make infodir=$RPM_BUILD_ROOT%_infodir install-info

perl -pi -e "s|$RPM_BUILD_ROOT||" $RPM_BUILD_ROOT/%_datadir/emacs/site-lisp/tex-site.el
install -d $RPM_BUILD_ROOT%_sysconfdir/emacs/site-start.d
(echo '(if (string-match "GNU Emacs" (version)) (progn' ;
cat $RPM_BUILD_ROOT/%_datadir/emacs/site-lisp/tex-site.el ;
 echo '))') > $RPM_BUILD_ROOT%_sysconfdir/emacs/site-start.d/%rname.el

%post
%_install_info %rname

%preun
%_remove_install_info %rname

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc PROBLEMS README CHANGES ChangeLog
%_infodir/*
%_datadir/emacs/site-lisp/%rname
%_datadir/emacs/site-lisp/tex-site.el
%config(noreplace) %_sysconfdir/emacs/site-start.d/%{rname}*


%changelog
* Fri Apr  4 2003 Gtz Waschk <waschk@linux-mandrake.com> 11.14-2mdk
- fix path in tex-site.el for the build of preview-latex
- new emacs

* Thu Feb 06 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 11.14-1mdk
- new release

* Tue Jan 28 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.0g-7mdk
- rebuild for latest emacs

* Fri Dec 06 2002 Yves Duret <yves@zarb.org> 10.0g-6mdk
- renamed as emacs-%rname.

* Fri Nov 15 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.0g-5mdk
- fix build for new rpm

* Thu Nov 14 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.0g-4mdk
- rebuild for new emacs

* Tue Nov 05 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.0g-3mdk
- rebuild for new emacs

* Tue Apr  2 2002 Pixel <pixel@mandrakesoft.com> 10.0g-2mdk
- rebuild for new emacs

* Tue Nov 27 2001 Pixel <pixel@mandrakesoft.com> 10.0g-1mdk
- new version (including fix for emacs-21 font-lock)

* Mon Oct 22 2001 Pixel <pixel@mandrakesoft.com> 9.9p-9mdk
- rebuild for new emacs

* Thu Oct 11 2001 Pixel <pixel@mandrakesoft.com> 9.9p-8mdk
- fix permission of .spec

* Thu Sep 13 2001 Pixel <pixel@mandrakesoft.com> 9.9p-7mdk
- ensure the site-start is not read by xemacs

* Thu Sep  6 2001 Pixel <pixel@mandrakesoft.com> 9.9p-6mdk
- rebuild

* Sat Apr 14 2001 Francis Galiegue <fg@mandrakesoft.com> 9.9p-5mdk
- BuildRequires emacs-X11 and not only emacs

* Wed Dec 13 2000 Pixel <pixel@mandrakesoft.com> 9.9p-4mdk
- requires the emacs version used for building
(don't need to have a xemacs version, xemacs bundles it)

* Mon Nov 27 2000 Pixel <pixel@mandrakesoft.com> 9.9p-3mdk
- add build_req

* Sat Sep  2 2000 Pixel <pixel@mandrakesoft.com> 9.9p-2mdk
- mandrake adaptation
- cleanup

* Fri Jul 10 1998 W.L. Estes <wlestes@wlestes.uncg.edu>
- build root now used
- cleaned up file list
- fixed url tag
- added CHANGES and ChangeLog to doc files
- now requires emacs >= 20
- added \%clean
- misc spec file cosmetic cleanups

 *Wed Mar 11 1998 Martin Schimschak <masch@theo-phys.uni-essen.de>
 - initial revision for auctex 9.8l
